Page MenuHomePhabricator

<center> embedded into headings results in two heading tags
Closed, ResolvedPublic

Description

See the linked page:

== <center> foo </center> ==

gets parsed to

<h2><span class="mw-headline" id="Foo"></span></h2>
<center>
<h2>Foo<span class="mw-editsection"><span class="mw-editsection-bracket">[</span><a href="/w/index.php?title=User:MaxSem/sandbox&amp;action=edit&amp;section=1" title="Edit section: Foo">edit</a><span class="mw-editsection-bracket">]</span></span></h2>
</center>

Version: 1.22.0
URL: https://en.wikipedia.org/w/index.php?title=User:MaxSem/sandbox&oldid=574519894

Details

Reference
bz54616

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:15 AM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz54616.
bzimport added a subscriber: Unknown Object (MLST).
MaxSem created this task.Sep 25 2013, 10:23 PM

Lols. That's probably Tidy sucking.

(It does behave sanely on a wiki with Tidy disabled. Can't we just do away with the thing already?)

brion added a comment.Sep 26 2013, 4:16 PM

Adding "tidy sucks" tracking bug 2542

Danny_B removed a subscriber: wikibugs-l-list.
Izno updated the task description. (Show Details)Aug 16 2018, 3:46 PM
Izno updated the task description. (Show Details)
Izno closed this task as Resolved.EditedAug 16 2018, 3:50 PM
Izno claimed this task.
Izno added a subscriber: Izno.

Remex now provides:

<h2>
  <span class="mw-headline" id="foo">
    <center> foo </center>
  </span>
  <span class="mw-editsection">
    <span class="mw-editsection-bracket">[</span>
    <a href="/w/index.php?title=User:Izno&amp;action=edit&amp;section=3" title="Edit section: foo">edit</a>
    <span class="mw-editsection-bracket">]</span>
  </span>
</h2>

Which is the correct number of headings.